Skip to content

Generate Response XML

| View as Markdown

This API is for generating esign link based on xml. If the request has valid details, we will get a status code “200” and message “success”, txn id and unique id in response.

https://kraken.airpay.co.in/airpay/ms/esign/api/generate-response-xml
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeDescription
xml_dataTextXML data(required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/generate-response-xml' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'xml_data="<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" standalone=\\\"no\\\"?><Esign AuthMode=\"1\" aspId=\"ABCAPSPLPROD001071\" ekycId=\"\" ekycIdType=\"A\" responseSigType=\"pkcs7\" responseUrl=\"https://esign.airpay.co.in/api/SignResponse\" sc=\"Y\" ts=\"2022-07-28T10:37:11\" txn=\"OCN13SCZJ3\" ver=\"2.1\">...</Esign>"'
FieldTypeDescription
statusNumericStatus code (length 3)
messageTextMessage
Success - 200
Failed - 400
txn_idNumericTransaction ID
uniqueidTextUnique ID
HTTP/1.1 200 OK
{
"status": 200,
"message": "success",
"txn_id": 1078,
"uniqueid":"91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
HTTP/1.1 400 Failed
{
"status": 400,
"message": "Transaction not found"
}